com.jogamp.opengl.math

## Class Binary32

- java.lang.Object
- - com.jogamp.opengl.math.Binary32

-     public final class Binary32
      extends Object

  Functions for interrogating `binary32` (float) values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Binary32()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `unpackGetExponentUnbiased(float d)` Extract and unbias the exponent of the given packed `float` value.
    `static int` | `unpackGetSign(float d)` Return the sign of the given float value.
    `static int` | `unpackGetSignificand(float d)` Return the significand of the given float value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Binary32

          public Binary32()

  - ### Method Detail

    - #### unpackGetExponentUnbiased

          public static int unpackGetExponentUnbiased(float d)

      Extract and unbias the exponent of the given packed `float` value.

      The exponent is encoded biased as a number in the range `[0, 255]`, with `0` indicating that the number is subnormal and `[1, 254]` denoting the actual exponent plus `BIAS`. Infinite and `NaN` values always have a biased exponent of `255`.

      This function will therefore return:

      - `0 - `BIAS` = -127` iff the input is a subnormal number.
      - An integer in the range `[1 - `BIAS`, 254 - `BIAS`] = [-126, 127]` iff the input is a normal number.
      - `255 - `BIAS` = 128` iff the input is `#POSITIVE_INFINITY`, `#NEGATIVE_INFINITY`, or `NaN`.
      See Also:
        `#packSetExponentUnbiasedUnchecked(int)`

    - #### unpackGetSign

          public static int unpackGetSign(float d)

      Return the sign of the given float value.

    - #### unpackGetSignificand

          public static int unpackGetSignificand(float d)

      Return the significand of the given float value.

Copyright 2010 JogAmp Community.